Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: "Drew Adams" <[email-masked]>
Date: Fri, 13 Jan 2012 07:31:37 -0800

> >  (and (equal (file-remote-p file1) (file-remote-p file2))
> 
> Why is the file-remote-p needed?

If that test fails then (because either at least one of the files is not remote
or their access methods/hosts are different) we save a trip to remote machines
to determine truenames.

If that test succeeds then either both are local or both are remote, and in the
latter case they have the same host etc.

IOW, the idea is to try to do as much as possible based only on the strings
(names), and to fail if possible that way without accessing anything remotely.